Package com.sap.ai.sdk.grounding.model

# Class MetadataConfigurationRequest

java.lang.Object
com.sap.ai.sdk.grounding.model.MetadataConfigurationRequest

public class MetadataConfigurationRequest extends Object
MetadataConfigurationRequest

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `MetadataConfigurationRequest.Builder`
  Builder helper class.
  `static interface`
  `MetadataConfigurationRequest.Builder1`
  Builder helper class.
  `static enum`
  `MetadataConfigurationRequest.DataRepositoryTypeEnum`
  The data repository type for which this configuration is being created.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MetadataConfigurationRequest()`
  Default constructor for MetadataConfigurationRequest.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetadataConfigurationRequest`
  `addIncludePathsItem(String includePathsItem)`
  Add one includePaths instance to this `MetadataConfigurationRequest`.
  `MetadataConfigurationRequest`
  `addLabelsItem(MetadataConfigurationRequestLabelsInner labelsItem)`
  Add one labels instance to this `MetadataConfigurationRequest`.
  `static MetadataConfigurationRequest.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `MetadataConfigurationRequest` instance with all required arguments.
  `MetadataConfigurationRequest`
  `dataRepositoryType(MetadataConfigurationRequest.DataRepositoryTypeEnum dataRepositoryType)`
  Set the dataRepositoryType of this `MetadataConfigurationRequest` instance and return the same instance.
  `MetadataConfigurationRequest`
  `destinationName(String destinationName)`
  Set the destinationName of this `MetadataConfigurationRequest` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `MetadataConfigurationRequest`.
  `MetadataConfigurationRequest.DataRepositoryTypeEnum`
  `getDataRepositoryType()`
  The data repository type for which this configuration is being created.
  `String`
  `getDestinationName()`
  Contains destination name containing credentials to access the data repository.
  `String`
  `getId()`
  If provided, must be a valid UUID.
  `List<String>`
  `getIncludePaths()`
  Get includePaths
  `List<MetadataConfigurationRequestLabelsInner>`
  `getLabels()`
  Get labels
  `String`
  `getName()`
  If provided, must be a valid string.
  `int`
  `hashCode()`
  `MetadataConfigurationRequest`
  `id(String id)`
  Set the id of this `MetadataConfigurationRequest` instance and return the same instance.
  `MetadataConfigurationRequest`
  `includePaths(List<String> includePaths)`
  Set the includePaths of this `MetadataConfigurationRequest` instance and return the same instance.
  `MetadataConfigurationRequest`
  `labels(List<MetadataConfigurationRequestLabelsInner> labels)`
  Set the labels of this `MetadataConfigurationRequest` instance and return the same instance.
  `MetadataConfigurationRequest`
  `name(String name)`
  Set the name of this `MetadataConfigurationRequest` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `MetadataConfigurationRequest` instance.
  `void`
  `setDataRepositoryType(MetadataConfigurationRequest.DataRepositoryTypeEnum dataRepositoryType)`
  Set the dataRepositoryType of this `MetadataConfigurationRequest` instance.
  `void`
  `setDestinationName(String destinationName)`
  Set the destinationName of this `MetadataConfigurationRequest` instance.
  `void`
  `setId(String id)`
  Set the id of this `MetadataConfigurationRequest` instance.
  `void`
  `setIncludePaths(List<String> includePaths)`
  Set the includePaths of this `MetadataConfigurationRequest` instance.
  `void`
  `setLabels(List<MetadataConfigurationRequestLabelsInner> labels)`
  Set the labels of this `MetadataConfigurationRequest` instance.
  `void`
  `setName(String name)`
  Set the name of this `MetadataConfigurationRequest` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `MetadataConfigurationRequest` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MetadataConfigurationRequest

    protected MetadataConfigurationRequest()
    Default constructor for MetadataConfigurationRequest.

- ## Method Details

  - ### id

    @Nonnull public MetadataConfigurationRequest id(@Nullable String id)
    Set the id of this `MetadataConfigurationRequest` instance and return the same instance.
    Parameters:
      `id` - If provided, must be a valid UUID. If not provided, a new UUID will be generated.
    Returns:
      The same instance of this `MetadataConfigurationRequest` class

  - ### getId

    @Nonnull public String getId()
    If provided, must be a valid UUID. If not provided, a new UUID will be generated.
    Returns:
      id The id of this `MetadataConfigurationRequest` instance.

  - ### setId

    public void setId(@Nullable String id)
    Set the id of this `MetadataConfigurationRequest` instance.
    Parameters:
      `id` - If provided, must be a valid UUID. If not provided, a new UUID will be generated.

  - ### name

    @Nonnull public MetadataConfigurationRequest name(@Nullable String name)
    Set the name of this `MetadataConfigurationRequest` instance and return the same instance.
    Parameters:
      `name` - If provided, must be a valid string. If not provided, will be same as id.
    Returns:
      The same instance of this `MetadataConfigurationRequest` class

  - ### getName

    @Nonnull public String getName()
    If provided, must be a valid string. If not provided, will be same as id.
    Returns:
      name The name of this `MetadataConfigurationRequest` instance.

  - ### setName

    public void setName(@Nullable String name)
    Set the name of this `MetadataConfigurationRequest` instance.
    Parameters:
      `name` - If provided, must be a valid string. If not provided, will be same as id.

  - ### destinationName

    @Nonnull public MetadataConfigurationRequest destinationName(@Nonnull String destinationName)
    Set the destinationName of this `MetadataConfigurationRequest` instance and return the same instance.
    Parameters:
      `destinationName` - Contains destination name containing credentials to access the data repository.
    Returns:
      The same instance of this `MetadataConfigurationRequest` class

  - ### getDestinationName

    @Nonnull public String getDestinationName()
    Contains destination name containing credentials to access the data repository.
    Returns:
      destinationName The destinationName of this `MetadataConfigurationRequest` instance.

  - ### setDestinationName

    public void setDestinationName(@Nonnull String destinationName)
    Set the destinationName of this `MetadataConfigurationRequest` instance.
    Parameters:
      `destinationName` - Contains destination name containing credentials to access the data repository.

  - ### dataRepositoryType

    @Nonnull public MetadataConfigurationRequest dataRepositoryType(@Nonnull MetadataConfigurationRequest.DataRepositoryTypeEnum dataRepositoryType)
    Set the dataRepositoryType of this `MetadataConfigurationRequest` instance and return the same instance.
    Parameters:
      `dataRepositoryType` - The data repository type for which this configuration is being created.
    Returns:
      The same instance of this `MetadataConfigurationRequest` class

  - ### getDataRepositoryType

    @Nonnull public MetadataConfigurationRequest.DataRepositoryTypeEnum getDataRepositoryType()
    The data repository type for which this configuration is being created.
    Returns:
      dataRepositoryType The dataRepositoryType of this `MetadataConfigurationRequest` instance.

  - ### setDataRepositoryType

    public void setDataRepositoryType(@Nonnull MetadataConfigurationRequest.DataRepositoryTypeEnum dataRepositoryType)
    Set the dataRepositoryType of this `MetadataConfigurationRequest` instance.
    Parameters:
      `dataRepositoryType` - The data repository type for which this configuration is being created.

  - ### includePaths

    @Nonnull public MetadataConfigurationRequest includePaths(@Nullable List<String> includePaths)
    Set the includePaths of this `MetadataConfigurationRequest` instance and return the same instance.
    Parameters:
      `includePaths` - The includePaths of this `MetadataConfigurationRequest`
    Returns:
      The same instance of this `MetadataConfigurationRequest` class

  - ### addIncludePathsItem

    @Nonnull public MetadataConfigurationRequest addIncludePathsItem(@Nonnull String includePathsItem)
    Add one includePaths instance to this `MetadataConfigurationRequest`.
    Parameters:
      `includePathsItem` - The includePaths that should be added
    Returns:
      The same instance of type `MetadataConfigurationRequest`

  - ### getIncludePaths

    @Nonnull public List<String> getIncludePaths()
    Get includePaths
    Returns:
      includePaths The includePaths of this `MetadataConfigurationRequest` instance.

  - ### setIncludePaths

    public void setIncludePaths(@Nullable List<String> includePaths)
    Set the includePaths of this `MetadataConfigurationRequest` instance.
    Parameters:
      `includePaths` - The includePaths of this `MetadataConfigurationRequest`

  - ### labels

    @Nonnull public MetadataConfigurationRequest labels(@Nullable List<MetadataConfigurationRequestLabelsInner> labels)
    Set the labels of this `MetadataConfigurationRequest` instance and return the same instance.
    Parameters:
      `labels` - The labels of this `MetadataConfigurationRequest`
    Returns:
      The same instance of this `MetadataConfigurationRequest` class

  - ### addLabelsItem

    @Nonnull public MetadataConfigurationRequest addLabelsItem(@Nonnull MetadataConfigurationRequestLabelsInner labelsItem)
    Add one labels instance to this `MetadataConfigurationRequest`.
    Parameters:
      `labelsItem` - The labels that should be added
    Returns:
      The same instance of type `MetadataConfigurationRequest`

  - ### getLabels

    @Nonnull public List<MetadataConfigurationRequestLabelsInner> getLabels()
    Get labels
    Returns:
      labels The labels of this `MetadataConfigurationRequest` instance.

  - ### setLabels

    public void setLabels(@Nullable List<MetadataConfigurationRequestLabelsInner> labels)
    Set the labels of this `MetadataConfigurationRequest` instance.
    Parameters:
      `labels` - The labels of this `MetadataConfigurationRequest`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `MetadataConfigurationRequest`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `MetadataConfigurationRequest` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `MetadataConfigurationRequest` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `MetadataConfigurationRequest` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static MetadataConfigurationRequest.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `MetadataConfigurationRequest` instance with all required arguments.